> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/webhooks/prerequisites.md).

# Prerequisites

Before you start using webhooks, ensure you meet the following prerequisites:

### Technical requirements

* Create a publicly accessible HTTPS endpoint that can receive and process webhook payloads.
* Implement proper security measures to validate webhook signatures. (Applicable to Transaction Webhooks only)
* Set up an appropriate error handling and retry logic.

### Webhook configuration

Register your Webhook URL with our integration team for configuration. Webhook URLs will be configured on the merchant account to receive POST events.

The accessible HTTPs POST endpoint is prepared to:

* Accept incoming HTTP POST requests.
* Respond with an HTTP `200`` ``OK` status code to acknowledge successful receipt.

### **Webhook configuration by user type** <a href="#webhook-configuration-by-user-type" id="webhook-configuration-by-user-type"></a>

You can manage registered webhooks according to your need.

#### **Software Partners**

The webhook configuration applies during the account setup.

{% hint style="info" %}
The setup process differs depending on the webhook type.
{% endhint %}

#### **Virtual Terminal Users**

{% hint style="warning" %}
Users with an **Account Administrator** role can only configure webhooks in the **Virtual Terminal**.&#x20;
{% endhint %}

To add a webhook URL in the Merchant Portal:

1. Go to **VT Settings** > **Terminal**.
2. Select the **Enable Transaction Alert**.
3. Add your URL to the **Transaction Alert Callback URL** field.
4. Click **Save Terminal** Settings.

{% hint style="info" %}
For more information about Virtual Terminal, see [Virtual Terminal](https://docs.xplorpay.com/merchant-portal/guides/virtual-terminal).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/webhooks/prerequisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
